kind: pipeline
name: Opytex 2021-2022
type: docker

trigger:
  branch:
    - 2021-2022

steps:
  - name: Deploy
    image: python:3.8-alpine
    commands:
      - apk add --no-cache openssh-client ca-certificates bash rsync git imagemagick-dev imagemagick
      - git submodule init
      - git submodule update
      - git clone https://git.opytex.org/lafrite/2021-2022.git content
      - pip install --no-cache-dir -r requirements.txt
      - export MAGICK_HOME=/usr
      - pelican ./content/ -o output -s publishconf.py --relative-urls
      - eval `ssh-agent -s`
      - echo "$SSH_KEY" | ssh-add -
      - mkdir -p ~/.ssh
      - echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config
      - ssh sshcontent@91.121.90.228 'mkdir -p ~/opytex.org/www/enseignements/2021-2022/'
      - rsync -rv --delete -e "ssh -p 22" ./output/ sshcontent@91.121.90.228:~/opytex.org/www/enseignements/2021-2022/ --checksum
    environment:
      SSH_KEY:
        from_secret: sshcontent-key


